<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001-2004 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("../include/common.inc.php");
include("auth.inc.php");

settype($act, "string");
if ($act == "exportrdf") {
   KWL_ExportRss();
   $msg = _EXPORT_RDF_NOW1;   
}

$head = $VAR["Heading"] = "RSS, ATOM";
include("../include/header.inc.php");

$out = new KWL_Html;
$VAR["Content"] = $out->form_start("admin/submit.php","config")
. $out->table_start("100%",'',1,0,3) ."
<tr>
   <td>
   <a href=\"{$CONF['G_URL']}/rss.php\" target=\"new\" title=\"RSS 2.0\"><u>RSS</u></a> |
   <a href=\"{$CONF['G_URL']}/atom.php\" target=\"new\" title=\"ATOM\"><u>ATOM</u></a>
   export
   </td>
   <td>". $out->radio("Backend",array(_NOTUSE,_USE),$CONF['Backend']) ."&nbsp;&nbsp;
   [ <a href=\"syndicate.php?act=exportrdf\">". _EXPORT_RDF_NOW ."</a> ]
   <br />RSS Cache ". _FILE ." : ". $out->input_form("text","BackendFile",$CONF['BackendFile'],KWL_FormSize(13),128) ."</td>
</tr>

<tr>
   <td>RSS description, ATOM content Tag</td>
   <td>".
   $out->select("rss_desc_opt",array( 0 => 'Full',
                                      1 => 'Summary',
                                      2 => _NOTUSE), $CONF['rss_desc_opt']) ."
   </td>
</tr>

<tr>
   <td>RSS Image Tag URL</td>
   <td>
   ". (!empty($CONF['rss_icon']) ? "<img src=\"{$CONF['rss_icon']}\" vspace='3' border=\"0\" alt=\"RSS Image Tag\" title=\"RSS Image Tag\" /><br />" : '' ) ."
   ". $out->input_form("text","rss_icon",$CONF['rss_icon'],KWL_FormSize(30),256). "</td>
</tr>

<tr>
   <td>". _RSS_BUTTON ."</td>
   <td>". $out->radio("show_rss_button",array(_NOTUSE,_USE),$CONF['show_rss_button']) ."</td>
</tr>

<tr>
   <td colspan=\"2\">"
   . $out->input_form("hidden","what","syndicate")
   . $out->input_form("submit",'',_SAVE_CHANGE) ."</td>
</tr>
". $out->table_end() . $out->form_end().

"<br />
<b>rss.php, atom.php script usage:</b>
   <pre>Add \"t=n\" to specified topic(n) title. (<a href=\"{$CONF['G_URL']}/rss.php?t=1\" target=\"new\">example</a>)
Add \"c=n\" to specify number(n) of title (max:50). (<a href=\"{$CONF['G_URL']}/rss.php?c=20\" target=\"new\">example</a>)
Add \"o=1\" to get title sorted by lastest comment. (<a href=\"{$CONF['G_URL']}/rss.php?o=1\" target=\"new\">example</a>)
Add \"enc=euc-kr\" or \"enc=utf-8\" to get specified charset. (<a href=\"{$CONF['G_URL']}/rss.php?enc=utf-8\" target=\"new\">example</a>)

Complex example : (<a href=\"{$CONF['G_URL']}/rss.php?t=1&amp;c=5&amp;o=1&amp;enc=utf-8\" target=\"new\">t=1&amp;c=5&amp;o=1&amp;enc=utf-8</a>)</pre>
";

KWL_DrawMain($VAR);
include("../include/footer.inc.php");
?>
