<?
function make_rss($result,$o,$topic,$encoding='') {
   global $rdf_lang,$TOPIC;
   $CONF = KWL_GetConf();

   $items = '';
   while($A = mysql_fetch_array($result)) {
      
      if ($CONF['trackback']) {
         $trackback = "<trackback:ping>{$CONF['G_URL']}/tb.php/{$A['Rid']}?act=tb</trackback:ping>";
      } else $trackback = '';

      $PermaLink = KWL_MakeStoryLink($A['Rid']);
      
      if ($o == "lastrdate") {
         $sql  = "SELECT * FROM T_Comments WHERE TopRid='$A[Rid]' ";
         $sql .= "ORDER by Birthstamp DESC LIMIT 1";
         $C = SqlQueryFetchArray($sql);
         $link = "{$CONF['G_URL']}/comments.php?rid={$C['ParentRid']}&amp;story={$A['Rid']}#{$C['Rid']}";
         $comments = '';
         $C['Heading'] = 'Re: '. $A['Heading'];
         $items .= make_items($trackback,$link,$comments,$PermaLink,$C);
      } else {
         $link = $PermaLink;
         $comments = "<comments>{$CONF['G_URL']}/write.php?sid={$A['Rid']}</comments>";
         $items .= make_items($trackback,$link,$comments,$PermaLink,$A);
      }
   }
   
   $url = $CONF['G_URL'];
   $site_name = $CONF['SiteName'];

   if (!empty($topic)) {
      $url = $CONF['G_URL'] . "/stories.php?topic=$topic";
      $site_name .= " - ". $TOPIC[$topic]['Topic'];
   }

   if (function_exists("iconv") && $encoding) {
      if ($rdf_lang != $encoding) {
         $orig_enc = $rdf_lang;
         $rdf_lang = $encoding;
      }
   }

   $ret = make_channel($rdf_lang,$site_name,$url,$items);

   if (!empty($orig_enc)) {
      if ($orig_enc != $encoding) {
         $ret = @iconv($orig_enc,$encoding,$ret);
      }
   }
   return $ret;
}

function make_channel($rdf_lang,$site_name,$url,$items) {
   global $G_VER;
   $CONF = KWL_GetConf();
   $copyright = htmlspecialchars($CONF['Copyright'] ." - ". $CONF['SiteName']);
   $lastBuildDate = gmdate("D, j M Y H:i:s T",time());
   $generator = "KorWeblog v" . $G_VER;
   $rss_icon = empty($CONF['rss_icon']) ? "http://weblog.kldp.org/buttons/korweblog_b1.gif" : $CONF['rss_icon'];
   $webMaster = "{$CONF['EmailAddress']} ({$CONF['SiteOwner']})";
   $search = "{$CONF['G_URL']}/search.php";
   $site_name = htmlspecialchars($site_name);

   return <<<RSS
<?xml version="1.0" encoding="$rdf_lang"?>
<rss version="2.0" xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/">

<!--
   Add "t=n" to specified topic(n) title.
   Add "c=n" to specify number(n) of title (max:50).
   Add "o=1" to get title sorted by lastest comment.
   Add "enc=euc-kr" or "enc=utf-8" to get specified charset.
-->

   <channel>
      <title>$site_name</title>
      <link>$url</link>
      <description>{$CONF['SiteSlogan']}</description>
      <language>$rdf_lang</language>
      <copyright>$copyright</copyright>
      <lastBuildDate>$lastBuildDate</lastBuildDate>
      <generator>$generator</generator>
      <webMaster>$webMaster</webMaster>
      <image>
         <title>$site_name</title>
         <link>$url</link>
         <url>$rss_icon</url>
      </image>
      $items
      <textInput>
         <title>Search</title>
         <link>$search</link>
         <name>Search</name>
      </textInput>
   </channel>
</rss>
RSS;

}

function make_items($trackback,$link,$comments,$PermaLink,$A) {
   global $TOPIC;
   $CONF = KWL_GetConf();

   $author = htmlspecialchars($A['Author']);
   $pubDate = gmdate("D, j M Y H:i:s T",strtotime($A['Birthstamp']));
   $description = make_rss_description($A['Content'],$A['ParseLevel']);

   if (!empty($A['Topic'])) {
      $topic_info =& $TOPIC[$A['Topic']];
      $category = "<category domain=\"{$CONF['G_URL']}/stories.php?topic={$A['Topic']}\">". htmlspecialchars($topic_info['Topic']) ."</category>";
   } else $category = '';

   return <<<RSS

   <item>
      $trackback
      <title>{$A['Heading']}</title>
      <link>$link</link>
      <description>$description</description>
      <pubDate>$pubDate</pubDate>
      $category
      <author>$author</author>
      <guid isPermaLink="true">$PermaLink</guid>
      $comments
   </item>
RSS;
  
}

function make_atom($result,$o,$topic,$encoding='') {
   global $rdf_lang,$TOPIC;
   $CONF = KWL_GetConf();

   if (function_exists("iconv") && $encoding) {
      if ($rdf_lang != $encoding) {
         $orig_enc = $rdf_lang;
         $rdf_lang = $encoding;
      }
   }

   $entries = '';
   while($A = mysql_fetch_array($result)) {
      if ($o == "lastrdate") {
         $sql  = "SELECT * FROM T_Comments WHERE TopRid='$A[Rid]' ";
         $sql .= "ORDER by Birthstamp DESC LIMIT 1";
         $C = SqlQueryFetchArray($sql);
         $link = "{$CONF['G_URL']}/comments.php?rid={$C['ParentRid']}&amp;story={$A['Rid']}#{$C['Rid']}";
         $C['Heading'] = 'Re: '. $A['Heading'];
         $entries .= make_atom_entries($link,$rdf_lang,$C);
      } else {
         $link = KWL_MakeStoryLink($A['Rid']);
         $entries .= make_atom_entries($link,$rdf_lang,$A);
      }
   }
   
   $url = $CONF['G_URL'];
   $site_name = $CONF['SiteName'];

   if (!empty($topic)) {
      $url = $CONF['G_URL'] . "/stories.php?topic=$topic";
      $site_name .= " - ". $TOPIC[$topic]['Topic'];
   }

   $ret = make_atom_feed($rdf_lang,$site_name,$url,$entries);

   if (!empty($orig_enc)) {
      if ($orig_enc != $encoding) {
         $ret = @iconv($orig_enc,$encoding,$ret);
      }
   }
   return $ret;
}

function make_atom_feed($rdf_lang,$site_name,$url,$entries) {
   global $G_VER,$TOPIC;
   $CONF = KWL_GetConf();

   $modified = gmdate("Y-m-d\TH:i:s\Z",time());   
   $copyright = htmlspecialchars($CONF['Copyright'] ." - ". $CONF['SiteName']);
   
   $host = @parse_url($CONF['G_URL']);
   $fp = SqlQueryFetchArray("SELECT * FROM T_Stories ORDER BY Birthstamp Limit 1");
   $id = $host['host'] .','. substr($fp['Birthstamp'], 0, 4) .'://'. $fp['Topic'];
   $site_name = htmlspecialchars($site_name);
   
   return <<<ATOM
<?xml version="1.0" encoding="$rdf_lang"?>
<feed version="0.3" xmlns="http://purl.org/atom/ns#" xmlns:dc="http://purl.org/dc/elements/1.1/">

<!--
   Add "t=n" to specified topic(n) title.
   Add "c=n" to specify number(n) of title (max:50).
   Add "o=1" to get title sorted by lastest comment.
   Add "enc=euc-kr" or "enc=utf-8" to get specified charset.
-->

   <title>$site_name</title>
   <link href="$url" title="{$CONF['SiteName']}" rel="alternate" type="text/html" />
   <modified>$modified</modified>
   <tagline>{$CONF['SiteSlogan']}</tagline>
   <id>tag:$id</id>
   <generator url="http://weblog.kldp.org/" version="$G_VER">KorWeblog</generator>
   <copyright>$copyright</copyright>
   $entries
</feed>
ATOM;
}

function make_atom_entries($link,$rdf_lang,$A) {
   global $TOPIC;
   $CONF = KWL_GetConf();

   if (empty($A['Repostamp'])) $A['Repostamp'] = $A['Birthstamp'];
   if (!empty($A['lastrdate'])) $lastrdate = $A['lastrdate'];
   else $lastrdate = $A['Repostamp'];

   $created = gmdate("Y-m-d\TH:i:s\Z",strtotime($A['Birthstamp']));
   $tmp = date("O",strtotime($A['Repostamp']));
   $tmp = substr($tmp,0,3) .':'. substr($tmp,3);
   $issued = date("Y-m-d\TH:i:s",strtotime($A['Repostamp'])) . $tmp;
   $modified = gmdate("Y-m-d\TH:i:s\Z",strtotime($lastrdate));
  
   $host = @parse_url($CONF['G_URL']);
   $id = $host['host'] .','. substr($A['Birthstamp'], 0, 4) .'://'. $A['Rid'];
   if (!empty($A['Topic'])) {
      $subject = "<dc:subject>". htmlspecialchars($TOPIC[$A['Topic']]['Topic']) ."</dc:subject>";
   } else {
      $subject = '';
   }
   $content = make_rss_description($A['Content'],$A['ParseLevel']);

   return <<<ATOM

      <entry>
         <title mode="escaped" type="text/html">{$A['Heading']}</title>
         <link href="$link" title="{$A['Heading']}" rel="alternate" type="text/html" />
         <issued>$issued</issued>
         <created>$created</created>
         <modified>$modified</modified>
         <id>tag:$id</id>
         <author>
            <name>{$A['Author']}</name>
         </author>
         $subject
         <content mode="escaped" type="text/html" xml:base="{$CONF['G_URL']}" xml:lang="$rdf_lang">
         $content
         </content>
      </entry>
ATOM;
}

function make_rss_description($txt,$level) {
   $desc_opt = KWL_GetConf('rss_desc_opt');

   /* 0 = full, 1 = summary, 2 = empty */
   if ($desc_opt == 1) {
      $txt = KWL_StringCut(strip_tags($txt),250) . "...";
   } elseif ($desc_opt == 2) {
      $txt = '';
   } else {
      if ($level < 3) $txt = fix_path_rss($txt);
      $txt = KWL_ParseContent($txt,$level);
   }
   return htmlspecialchars($txt);
}

function fix_path_rss($txt) {
   $CONF = KWL_GetConf();
   
   preg_match_all("/<a([^>]*)href=[\"' ]([^>]*)[\"']([^>]*)>/i",$txt,$matches);
   foreach ($matches[2] as $ass) {
      $exp['src'] = "/<a([^>]*)href=[\"' ](". preg_quote($ass,'/') .")([^>]*)>/i";
      if (!preg_match('!^http!', $ass)) {
         $exp['tar'] = "<a\\1href=\"{$CONF['G_URL']}/\\2\"\\3 target=\"new\">";
         $txt = preg_replace($exp['src'],$exp['tar'],$txt);
      }
   }
   return $txt;

}

function feed_rss($txt,$time='') {
   if (!empty($_SERVER['SERVER_SOFTWARE']) && strstr($_SERVER['SERVER_SOFTWARE'], 'Apache/2')) {
      $cache = "no-cache";
   } else {
      $cache = "private";
   }
   $expires = gmdate('D, d M Y H:i:s T', time());
   if ($time) {
      $last_modified = gmdate('D, d M Y H:i:s T', $time);
   } else {
      $last_modified = $expires;
   }
   header ("Cache-Control: $cache, pre-check=0, post-check=0, max-age=0");
   header ("Expires: ". $expires);
   header ("Last-Modified: ". $last_modified);
   header ("Content-Type: text/xml");
   print $txt;
   exit;
}
?>
