<?
/*--------------------------------------------------------------------
   KorWeblog :: Highly Customizable Weblog/CMS
   Copyright (C) 2001-2004 by Im Eunjea <eunjea@kldp.org>
   For detail of license and/or other info, see the file doc/COPYING.
   http://weblog.kldp.org
----------------------------------------------------------------------

LICENSE

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------*/

include("include/common.inc.php");
include("include/make_rss.inc.php");

if (!$CONF['Backend']) die(_DISABLED);

$t = isset($_GET['t']) ? $_GET['t'] : "";
$c = isset($_GET['c']) ? $_GET['c'] : 15;
$o = isset($_GET['o']) ? "lastrdate" : "Repostamp";
$s = isset($_GET['s']) ? $_GET['s'] : false;
$encoding = isset($_GET['enc']) ? $_GET['enc'] : "";

$story = '';
if (KWL_ValidRid($s)) {
   if (SqlCount("T_Stories","Rid",$s)) {
      $story = $s;
   } else die(_NOSTORY1);
}

if ($story) {

   $items = '';
   if ($CONF['trackback']) {
      $trackback = "<trackback:ping>{$CONF['G_URL']}/tb.php/$story?act=tb</trackback:ping>";
   } else $trackback = '';

   $ret = SqlQuery("SELECT * FROM T_Comments WHERE TopRid = '$story' ORDER By Birthstamp DESC LIMIT $c");
   while ($A = mysql_fetch_array($ret)) {
      $link = "{$CONF['G_URL']}/comments.php?rid={$A['ParentRid']}&amp;story=$story#{$A['Rid']}";
      $A['Heading'] = KWL_StringCut(strip_tags($A['Content']),35) ."...";
      $items .= make_items($trackback,$link,'',$link,$A);
   }

   $url = $CONF['G_URL'];
   $site_name = $CONF['SiteName'];

   if (function_exists("iconv") && $encoding) {
      if ($rdf_lang != $encoding) {
         $orig_enc = $rdf_lang;
         $rdf_lang = $encoding;
      }
   }

   $rss = make_channel($rdf_lang,$site_name,$url,$items);

   if (!empty($orig_enc)) {
      if ($orig_enc != $encoding) {
         $rss = @iconv($orig_enc,$encoding,$rss);
      }
   }

} else {

   if (empty($_SERVER['QUERY_STRING'])) {
      $txt = KWL_ReadFile("{$CONF['G_PATH']}/backend/{$CONF['BackendFile']}");
      if (!empty($txt)) {
         $mtime = filemtime("{$CONF['G_PATH']}/backend/{$CONF['BackendFile']}");
         feed_rss($txt,$mtime);
      }
   }

   if ($c > 50) $c = 50;

   $sql = "SELECT * FROM T_Stories WHERE Verified = 'Y'";
   if ($t) $sql .= " AND Topic = $t";
   $sql .= " ORDER BY $o DESC LIMIT $c";
   $result = SqlQuery($sql);

   $rss = make_rss($result,$o,$t,$encoding);
}

feed_rss($rss);
?>
